Name:          libmediainfo
Version:       23.11
Release:       2mamba
Summary:       Shared library for mediainfo
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mediaarea.net
Source:        https://mediaarea.net/download/source/libmediainfo/%{version}/libmediainfo_%{version}.tar.xz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgraphviz-devel
BuildRequires: libmms-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtinyxml2-devel
BuildRequires: libz-devel
BuildRequires: libzen-devel
## AUTOBUILDREQ-END
BuildRequires: libtinyxml2-devel >= 10.0.0-1mamba

%description
Shared library for mediainfo.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q -c
cd MediaInfoLib/Project/GNU/Library
./autogen.sh

%build
cd MediaInfoLib/Project/GNU/Library
%configure \
    --enable-shared \
    --disable-static \
    --with-libcurl \
    --with-libmms \
    --with-libtinyxml2 \
    --with-graphviz

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C MediaInfoLib/Project/GNU/Library	

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libmediainfo.so.*
%doc MediaInfoLib/LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/MediaInfo
%{_includedir}/MediaInfo/*
%dir %{_includedir}/MediaInfoDLL
%{_includedir}/MediaInfoDLL/*
%{_libdir}/libmediainfo.so
%{_libdir}/pkgconfig/libmediainfo.pc

%changelog
* Mon Jan 08 2024 Automatic Build System <autodist@mambasoft.it> 23.11-2mamba
- rebuilt by autoport with build requirements: libtinyxml2-devel>=10.0.0-1mamba

* Thu Nov 30 2023 Automatic Build System <autodist@mambasoft.it> 23.11-1mamba
- automatic version update by autodist

* Wed Oct 04 2023 Automatic Build System <autodist@mambasoft.it> 23.10-1mamba
- automatic version update by autodist

* Fri Sep 15 2023 Automatic Build System <autodist@mambasoft.it> 23.09-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 23.07-1mamba
- automatic version update by autodist

* Wed Jun 28 2023 Automatic Build System <autodist@mambasoft.it> 23.06-1mamba
- automatic version update by autodist

* Thu Apr 27 2023 Automatic Build System <autodist@mambasoft.it> 23.04-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 23.03-1mamba
- automatic version update by autodist

* Mon Dec 26 2022 Automatic Build System <autodist@mambasoft.it> 22.12-1mamba
- automatic version update by autodist

* Thu Oct 06 2022 Automatic Build System <autodist@mambasoft.it> 22.09-1mamba
- automatic version update by autodist

* Mon Sep 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.06-1mamba
- package created using the webbuild interface
